This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 44722 - Source has been lost during Move Class
Summary: Source has been lost during Move Class
Status: CLOSED FIXED
Alias: None
Product: editor
Classification: Unclassified
Component: Refactoring (show other bugs)
Version: 4.x
Hardware: PC Other
: P1 blocker (vote)
Assignee: issues@java
URL:
Keywords:
Depends on:
Blocks: 44713
  Show dependency tree
 
Reported: 2004-06-10 21:25 UTC by vbrabant
Modified: 2007-04-03 18:02 UTC (History)
0 users

See Also:
Issue Type: DEFECT
Exception Reporter:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description vbrabant 2004-06-10 21:25:41 UTC
I decided to move the class to another package
(Refactoring, Move Class)
A dialog box appears with the following:
	Move class Main
		Project 
		Location
		To Package
I select another package and click on finish.

The following appears
Move Class Main to j2setigerapplication package
  MainClass.java
    Move source to package j2setigerapplication 
After that operation, everything was ok.
So, I redo the sames operations but with other manner:
1. Refactoring, Move Class
2. select a empty target package
3. click on finish.
4. confirm refactoring.

after a lot of treatment, source disappeared
completely from the disk.
Comment 1 psuk 2004-06-11 11:45:38 UTC
Increasing to P1, data loss. 
It can be consequence of previous actions. See umbrella Issue 44713
before evaluation.
Comment 2 Jan Becicka 2004-06-14 10:35:56 UTC
It looks like the source was not lost, but was moved to unexpected
folder. The source has been moved to correct package, but
unfortunatelly not into correct folder. The source was moved probably
into default package of another project, or to default package under
Test Packages node.
Comment 3 wilsonsd 2004-06-14 17:55:00 UTC
I ran into a similar issue.  It made me very unhappy.
Comment 4 Jan Becicka 2004-06-14 18:47:12 UTC
Fixed.

Checking in MoveClassUI.java;
/cvs/refactoring/src/org/netbeans/modules/refactoring/ui/MoveClassUI.java,v
 <--  MoveClassUI.java
new revision: 1.5; previous revision: 1.4
done
Checking in MoveClassPanel.java;
/cvs/refactoring/src/org/netbeans/modules/refactoring/ui/MoveClassPanel.java,v
 <--  MoveClassPanel.java
new revision: 1.5; previous revision: 1.4
done
Checking in MoveClassesUI.java;
/cvs/refactoring/src/org/netbeans/modules/refactoring/ui/MoveClassesUI.java,v
 <--  MoveClassesUI.java
new revision: 1.6; previous revision: 1.5
done
Comment 5 Jiri Prox 2005-07-19 12:22:16 UTC
Verified